Read Webhook - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Webhook
GET
/v1/webhooks/{webhookId}
cURL Example
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'
Python Example
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript Example
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/webhooks/{webhookId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Example
200 - application/json
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": "<string>",
"url": "<string>",
"technicalContactId": "<string>",
"events": [],
"publicKey": "<string>",
"keyGenerationTimestamp": "2023-11-07T05:31:56Z"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
webhookId
- Type: string
- Required: Yes
Response Details
- id: string - The unique object identifier.
- version: integer
- Data integrity version to ensure data consistency. - creationDate: string
- lastModifiedDate: string
- createdUserInfo: object - Information about user who created this object.
- lastModifiedUserInfo: object - Information about last user that modified this object.
- name: string - The name of the webhook.
- url: string - The URL where the webhook sends notifications.
- technicalContactId: string - Reference to an administrative user for webhook issues.
- events: enum
[] - Events that trigger the webhook. - publicKey: string - Public key for webhook signature verification.
- status: enum
- Current status of the webhook. - keyGenerationTimestamp: string